# Retrieve the page details

Retrieves the details about a page including its ID, name, and path location. This endpoint provides the information you need to understand and modify the page's structure.

Endpoint: GET /api/v1/pages/{pageId}
Version: v2.0
Security: HTTPBearer

## Security:

  - `HTTPBearer` (unknown)
    http bearer JWT

## Path parameters:

  - `pageId` (string, required)
    The unique identifier of the page. To get this ID, use [List pages of a site](#operation/sites-get_all_pages_by_site).

## Query parameters:

  - `language` (string)
    The language code for the page content.

## Header parameters:

  - `x-sc-job-id` (any)
    A unique identifier for the job, used to trace, audit, and revert actions performed by an AI agent through the Agent API.

## Response 200:

  - `200` (unknown)
    Successful response

## Response 200 fields (application/json):

  - `itemId` (string)
    The unique identifier of the item.
    Example: 3f2504e0-4f89-11d3-9a0c-0305e82c3301

  - `name` (string)
    The name of the page.
    Example: Home Page

  - `templateId` (string)
    The template ID used for the page.
    Example: 9f8c7e6d-5b4a-4c3d-8e7f-1a2b3c4d5e6f

  - `locationPath` (string)
    The location path of the page in the content tree.
    Example: /sitecore/content/Verticals/SkatePark/Home/Home Page

  - `insertOptions` (array)
    A list of options for inserting the page.

  - `insertOptions.templateId` (string)
    The unique identifier of the template.
    Example: 3f2504e0-4f89-11d3-9a0c-0305e82c3301

  - `insertOptions.name` (string)
    The name of the template.
    Example: Full Width Page

  - `editablePlaceholders` (array)
    Editable placeholders on the page.

  - `editablePlaceholders.placeholderPath` (string)
    The full path of the placeholder.
    Example: /headless-main/container-thirty-center-1

  - `editablePlaceholders.placeholderName` (string)
    The name of the placeholder (last path segment).
    Example: container-thirty-center-1

  - `editablePlaceholders.displayName` (any)
    The display name of the placeholder.
    Example: container-thirty-center-1

## Response 422:

  - `422` (unknown)
    Unprocessable entity

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array)
    The location of the error in the request.

  - `detail.msg` (string)
    The error message.

  - `detail.type` (string)
    The type of error.

  - `detail.input` (any)
    The input that caused the error.

  - `detail.ctx` (object)
    The context in which the error occurred.

